// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// cargo bay
// side panel
#include "door.inc"
#include "window1.inc"
#include "lgoplat.inc"
#include "nozzle.inc"

#declare CARGO = 
union {

	union {
		// door bay
		triangle { <-4.5, -13, 4>, <4.5, -13, 4>, <4.5, -13, -6.6> }
		triangle { <4.5, -13, -6.6>, <-4.5, -13, -6.6>, <-4.5, -13, 4> }
		// door bay frame
		triangle { <-4.5, -13.6, 4>, <-4.5, -13, 4>, <-4.5, -13, -6.6> }
		triangle { <-4.5, -13, -6.6>, <-4.5, -13.6, -6.6>, <-4.5, -13.6, 4> }
		triangle { <4.5, -13, 4>, <4.5, -13.6, 4>, <4.5, -13.6, -6.6> }
		triangle { <4.5, -13.6, -6.6>, <4.5, -13, -6.6>, <4.5, -13, 4> }
		// raised sides
		triangle { <-25.5, -13.6, 4>, <-4.5, -13.6, 4>, <-7.5, -13.6, 0.5> }
		triangle { <-25.5, -13.6, 4>, <-25.5, -13.6, 0.5>, <-7.5, -13.6, 0.5> }
		triangle { <-4.5, -13.6, 4>, <-4.5, -13.6, -6.6>, <-7.5, -13.6, 0.5> }
		triangle { <-4.5, -13.6, -6.6>, <-7.5, -13.6, -6.6>, <-7.5, -13.6, 0.5> }
		triangle { <4.5, -13.6, 4>, <25.5, -13.6, 4>, <7.5, -13.6, 0.5> }
		triangle { <25.5, -13.6, 4>, <25.5, -13.6, 0.5>, <7.5, -13.6, 0.5> }
		triangle { <7.5, -13.6, 0.5>, <7.5, -13.6, -6.6>, <4.5, -13.6, -6.6> }
		triangle { <7.5, -13.6, 0.5>, <4.5, -13.6, -6.6>, <4.5, -13.6, 4> }
		triangle { <-25.5, -13.6, -3.5>, <-7.5, -13.6, -3.5>, <-7.5, -13.6, -5> }
		triangle { <-7.5, -13.6, -5>, <-25.5, -13.6, -5>, <-25.5, -13.6, -3.5> }
		triangle { <7.5, -13.6, -3.5>, <25.5, -13.6, -3.5>, <25.5, -13.6, -5> }
		triangle { <25.5, -13.6, -5>, <7.5, -13.6, -5>, <7.5, -13.6, -3.5> }
		//texture space_gray
		pigment { color Gray50 }
		finish { Shiny }
	}

	union {
		// recessed side walls
		triangle { <-25.5, -13, 0.5>, <-7.5, -13, 0.5>, <-7.5, -13, -3.5> }
		triangle { <-7.5, -13, -3.5>, <-25.5, -13, -3.5>, <-25.5, -13, 0.5> }
		triangle { <7.5, -13, 0.5>, <25.5, -13, 0.5>, <25.5, -13, -3.5> }
		triangle { <25.5, -13, -3.5>, <7.5, -13, -3.5>, <7.5, -13, 0.5> }
		// recessed side frames
		triangle { <-25.5, -13.6, 0.5>, <-7.5, -13.6, 0.5>, <-7.5, -13, 0.5> }
		triangle { <-7.5, -13, 0.5>, <-25.5, -13, 0.5>, <-25.5, -13.6, 0.5> }
		triangle { <-25.5, -13, -3.5>, <-7.5, -13, -3.5>, <-7.5, -13.6, -3.5> }
		triangle { <-7.5, -13.6, -3.5>, <-25.5, -13.6, -3.5>, <-25.5, -13, -3.5> }
		triangle { <-7.5, -13, 0.5>, <-7.5, -13.6, 0.5>, <-7.5, -13.6, -3.5> }
		triangle { <-7.5, -13.6, -3.5>, <-7.5, -13, -3.5>, <-7.5, -13, 0.5> }
		triangle { <7.5, -13.6, 0.5>, <25.5, -13.6, 0.5>, <25.5, -13, 0.5> }
		triangle { <25.5, -13, 0.5>, <7.5, -13, 0.5>, <7.5, -13.6, 0.5> }
		triangle { <7.5, -13, -3.5>, <25.5, -13, -3.5>, <25.5, -13.6, -3.5> }
		triangle { <25.5, -13.6, -3.5>, <7.5, -13.6, -3.5>, <7.5, -13, -3.5> }
		triangle { <7.5, -13.6, 0.5>, <7.5, -13, 0.5>, <7.5, -13, -3.5> }
		triangle { <7.5, -13, -3.5>, <7.5, -13.6, -3.5>, <7.5, -13.6, 0.5> }
		//texture space_gray2
		pigment { color Gray50 }
	}

	union {
		// bottom side angles
		triangle { <-25.5, -14.2, -5>, <-7.5, -14.2, -5>, <-7.5, -13.6, -6.6> }
		triangle { <-7.5, -13.6, -6.6>, <-25.5, -13.6, -6.6>, <-25.5, -14.2, -5> }
		triangle { <-25.5, -13.6, -5>, <-7.5, -13.6, -5>, <-7.5, -14.2, -5> }
		triangle { <-7.5, -14.2, -5>, <-25.5, -14.2, -5>, <-25.5, -13.6, -5> }
		triangle {<-7.5, -14.2, -5>, <-7.5, -13.6, -5>, <-7.5, -13.6, -6.6> }
		triangle { <7.5, -14.2, -5>, <25.5, -14.2, -5>, <25.5, -13.6, -6.6> }
		triangle { <25.5, -13.6, -6.6>, <7.5, -13.6, -6.6>, <7.5, -14.2, -5> }
		triangle { <7.5, -13.6, -5>, <25.5, -13.6, -5>, <25.5, -14.2, -5> }
		triangle { <25.5, -14.2, -5>, <7.5, -14.2, -5>, <7.5, -13.6, -5> }
		triangle {<7.5, -13.6, -5>, <7.5, -14.2, -5>, <7.5, -13.6, -6.6> }
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }
	}

	// sliding door
	object { SIDEDOOR scale <0.019, 0.019, 0.019> translate <0, -13.6, -1.5>
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }
	}

	union {
		// bottom cylinder
		cylinder { <-25.5, -13.2, -6.6>, <25.5, -13.2, -6.6>, 0.4 }
		disc { <-25, -13.2, -6.6>, -x, 0.4 }
		disc { <25.5, -13.2, -6.6>, x, 0.4 }
		// top cylinder
		cylinder { <-25.5, -13.6, 4>, <25.5, -13.6, 4>, 0.6 }
		disc { <-25.5, -13.6, 4>, -x, 0.6 }
		disc { <25.5, -13.6, 4>, x, 0.6 }
		// top panel (slanted)
		triangle { <-25.5, -6.5, 7>, <-4.5, -6.5, 7>, <-4.5, -8.3, 6.4> }
		triangle { <-4.5, -8.3, 6.4>, <-25.5, -8.3, 6.4>, <-25.5, -6.5, 7> }
		triangle { <-25.5, -11.8, 5.2>, <-4.5, -11.8, 5.2>, <-4.5, -13.6, 4.6> }
		triangle { <-4.5, -13.6, 4.6>, <-25.5, -13.6, 4.6>, <-25.5, -11.8, 5.2> }
		triangle { <-25.5, -8.3, 6.4>, <-21.5, -8.3, 6.4>, <-21.5, -11.8, 5.2> }
		triangle { <-21.5, -11.8, 5.2>, <-25.5, -11.8, 5.2>, <-25.5, -8.3, 6.4> }
		triangle { <-6.5, -8.3, 6.4>, <-4.5, -8.3, 6.4>, <-4.5, -11.8, 5.2> }
		triangle { <-4.5, -11.8, 5.2>, <-6.5, -11.8, 5.2>, <-6.5, -8.3, 6.4> }
		triangle { <4.5, -6.5, 7>, <25.5, -6.5, 7>, <25.5, -8.3, 6.4> }
		triangle { <25.5, -8.3, 6.4>, <4.5, -8.3, 6.4>, <4.5, -6.5, 7> }
		triangle { <4.5, -11.8, 5.2>, <25.5, -11.8, 5.2>, <25.5, -13.6, 4.6> }
		triangle { <25.5, -13.6, 4.6>, <4.5, -13.6, 4.6>, <4.5, -11.8, 5.2> }
		triangle { <21.5, -8.3, 6.4>, <25.5, -8.3, 6.4>, <25.5, -11.8, 5.2> }
		triangle { <25.5, -11.8, 5.2>, <21.5, -11.8, 5.2>, <21.5, -8.3, 6.4> }
		triangle { <4.5, -8.3, 6.4>, <6.5, -8.3, 6.4>, <6.5, -11.8, 5.2> }
		triangle { <6.5, -11.8, 5.2>, <4.5, -11.8, 5.2>, <4.5, -8.3, 6.4> }
		// center top (slanted)
		triangle { <-4.5, -6.5, 6.5>, <0, -6.5, 6.5>, <0, -13.6, 4.6> }
		triangle { <0, -13.6, 4.6>, <-4.5, -13.6, 4.6>, <-4.5, -6.5, 6.5> }
		triangle {<-4.5, -13.6, 4.6>, <-4.5, -6.5, 7>, <-4.5, -6.5, 6.5> }
		triangle { <0, -6.5, 6.5>, <4.5, -6.5, 6.5>, <4.5, -13.6, 4.6> }
		triangle { <4.5, -13.6, 4.6>, <0, -13.6, 4.6>, <0, -6.5, 6.5> }
		triangle {<4.5, -6.5, 7>, <4.5, -13.6, 4.6>, <4.5, -6.5, 6.5> }
		// center top back (against frame)
		triangle { <-4.5, -6.55, 7>, <0, -6.55, 7>, <0, -6.55, 6.5> }
		triangle { <0, -6.55, 6.5>, <-4.5, -6.55, 6.5>, <-4.5, -6.55, 7> }
		triangle { <0, -6.55, 7>, <4.5, -6.55, 7>, <4.5, -6.55, 6.5> }
		triangle { <4.5, -6.55, 6.5>, <0, -6.55, 6.5>, <0, -6.55, 7> }
		// recessed window frame
		triangle { <-21.5, -8.3, 6.4>, <-6.5, -8.3, 6.4>, <-6.5, -8.1, 6> }
		triangle { <-6.5, -8.1, 6>, <-21.5, -8.1, 6>, <-21.5, -8.3, 6.4> }
		triangle { <-6.5, -11.8, 5.2>, <-21.5, -11.8, 5.2>, <-21.5, -11.6, 4.8> }
		triangle { <-21.5, -11.6, 4.8>, <-6.5, -11.6, 4.8>, <-6.5, -11.8, 5.2> }
		triangle { <-21.5, -11.8, 5.2>, <-21.5, -8.3, 6.4>, <-21.5, -8.1, 6> }
		triangle { <-21.5, -8.1, 6>, <-21.5, -11.6, 4.8>, <-21.5, -11.8, 5.2> }
		triangle { <-6.5, -8.3, 6.4>, <-6.5, -11.8, 5.2>, <-6.5, -11.6, 4.8> }
		triangle { <-6.5, -11.6, 4.8>, <-6.5, -8.1, 6>, <-6.5, -8.3, 6.4> }
		triangle { <6.5, -8.3, 6.4>, <21.5, -8.3, 6.4>, <21.5, -8.1, 6> }
		triangle { <21.5, -8.1, 6>, <6.5, -8.1, 6>, <6.5, -8.3, 6.4> }
		triangle { <21.5, -11.8, 5.2>, <6.5, -11.8, 5.2>, <6.5, -11.6, 4.8> }
		triangle { <6.5, -11.6, 4.8>, <21.5, -11.6, 4.8>, <21.5, -11.8, 5.2> }
		triangle { <21.5, -8.3, 6.4>, <21.5, -11.8, 5.2>, <21.5, -11.6, 4.8> }
		triangle { <21.5, -11.6, 4.8>, <21.5, -8.1, 6>, <21.5, -8.3, 6.4> }
		triangle { <6.5, -11.8, 5.2>, <6.5, -8.3, 6.4>, <6.5, -8.1, 6> }
		triangle { <6.5, -8.1, 6>, <6.5, -11.6, 4.8>, <6.5, -11.8, 5.2> }
		// texture space_gray2
		pigment { color Gray50 }
		finish { Shiny }
	}

	union {
		// recessed window panel
		triangle { <-21.5, -8.1, 6>, <-6.5, -8.1, 6>, <-6.5, -11.6, 4.8> }
		triangle { <-6.5, -11.6, 4.8>, <-21.5, -11.6, 4.8>, <-21.5, -8.1, 6> }
		triangle { <6.5, -8.1, 6>, <21.5, -8.1, 6>, <21.5, -11.6, 4.8> }
		triangle { <21.5, -11.6, 4.8>, <6.5, -11.6, 4.8>, <6.5, -8.1, 6> }
		// texture space_gray2
		pigment { color Gray50 }
		finish { Shiny }
	}

	union {
		// top of cargo bay (flat)
		triangle { <25.5, -6.5, 7>, <-25.5, -6.5, 7>, <-25.5, -6.5, 6> }
		triangle { <-25.5, -6.5, 6>, <25.5, -6.5, 6>, <25.5, -6.5, 7> }
		triangle { <-25.5, 0, 6>, <25.5, 0, 6>, <25.5, -6.5, 6> }
		triangle { <25.5, -6.5, 6>, <-25.5, -6.5, 6>, <-25.5, 0, 6> }
		// texture space_gray
		// end caps
		triangle { <25.5, -13.6, 4.6>, <25.5, -6.5, 7>, <25.5, -6.5, 6> }
		triangle { <25.5, -6.5, 6>, <25.5, 0, 6>, <25.5, 0, -3.5> }
		triangle { <25.5, 0, -3.5>, <25.5, -13, -3.5>, <25.5, -13, 0.5> }
		triangle { <25.5, -13, 0.5>, <25.5, -13.6, 0.5>, <25.5, -13.6, 4.6> }
		triangle { <25.5, -13.6, 4.6>, <25.5, -6.5, 6>, <25.5, 0, -3.5> }
		triangle { <25.5, -13.6, 4.6>, <25.5, 0, -3.5>, <25.5, -13, 0.5> }
		triangle { <25.5, -13.6, -3.5>, <25.5, 0, -3.5>, <25.5, 0, -7> }
		triangle { <25.5, 0, -7>, <25.5, -13.5, -7>, <25.5, -14.2, -5> }
		triangle { <25.5, -14.2, -5>, <25.5, -13.6, -5>, <25.5, -13.6, -3.5> }
		triangle { <25.5, -13.6, -3.5>, <25.5, 0, -7>, <25.5, -14.2, -5> }
		triangle { <-25.5, 0, 6>, <-25.5, -6.5, 6>, <-25.5, -6.5, 7> }
		triangle { <-25.5, -6.5, 7>, <-25.5, -13.6, 4.6>, <-25.5, -13.6, 0.5> }
		triangle { <-25.5, -13.6, 0.5>, <-25.5, -13, 0.5>, <-25.5, -13, -3.5> }
		triangle { <-25.5, -13, -3.5>, <-25.5, 0, -3.5>, <-25.5, 0, 6> }
		triangle { <-25.5, 0, 6>, <-25.5, -6.5, 7>, <-25.5, -13.6, 0.5> }
		triangle { <-25.5, 0, 6>, <-25.5, -13.6, 0.5>, <-25.5, -13, -3.5> }
		triangle { <-25.5, 0, -3.5>, <-25.5, -13.6, -3.5>, <-25.5, -13.6, -5> }
		triangle { <-25.5, -13.6, -5>, <-25.5, -14.2, -5>, <-25.5, -13.5, -7> }
		triangle { <-25.5, -13.5, -7>, <-25.5, 0, -7>, <-25.5, 0, -3.5> }
		triangle { <-25.5, 0, -3.5>, <-25.5, -13.6, -5>, <-25.5, -13.5, -7> }
		// texture space_gray
		// bottom panel
		triangle { <-25.5, -13.6, -7>, <25.5, -13.6, -7>, <25.5, 0, -7> }
		triangle { <25.5, 0, -7>, <-25.5, 0, -7>, <-25.5, -13.6, -7> }
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }
	}

	// rockets
	object { NOZZLE translate <-17.5, -4.5, -4.5> }
	object { NOZZLE translate <17.5, -4.5, -4.5> }
	// texture space_gray

	union {
		// landing gears
		triangle { <-13.5, -11, -9>, <-11.5, -11, -9>, <-11.5, -11, -9.5> }
		triangle { <-11.5, -11, -9.5>, <-13.5, -11, -9.5>, <-13.5, -11, -9> }
		triangle { <-11.5, -7, -9>, <-13.5, -7, -9>, <-13.5, -7, -9.5> }
		triangle { <-13.5, -7, -9.5>, <-11.5, -7, -9.5>, <-11.5, -7, -9> }
		triangle { <-11.5, -11, -9>, <-11.5, -7, -9>, <-11.5, -7, -9.5> }
		triangle { <-11.5, -7, -9.5>, <-11.5, -11, -9.5>, <-11.5, -11, -9> }
		triangle { <-13.5, -7, -9>, <-13.5, -11, -9>, <-13.5, -11, -9.5> }
		triangle { <-13.5, -11, -9.5>, <-13.5, -7, -9.5>, <-13.5, -7, -9> }
		triangle { <-13.5, -11, -9.5>, <-11.5, -11, -9.5>, <-11.5, -7, -9.5> }
		triangle { <-11.5, -7, -9.5>, <-13.5, -7, -9.5>, <-13.5, -11, -9.5> }
		cylinder { <-12.5, -9, -7>, <-12.5, -9, -9.1>, 1 }
		triangle { <11.5, -11, -9>, <13.5, -11, -9>, <13.5, -11, -9.5> }
		triangle { <13.5, -11, -9.5>, <11.5, -11, -9.5>, <11.5, -11, -9> }
		triangle { <13.5, -7, -9>, <11.5, -7, -9>, <11.5, -7, -9.5> }
		triangle { <11.5, -7, -9.5>, <13.5, -7, -9.5>, <13.5, -7, -9> }
		triangle { <11.5, -11, -9>, <11.5, -7, -9>, <11.5, -7, -9.5> }
		triangle { <11.5, -7, -9.5>, <11.5, -11, -9.5>, <11.5, -11, -9> }
		triangle { <13.5, -7, -9>, <13.5, -11, -9>, <13.5, -11, -9.5> }
		triangle { <13.5, -11, -9.5>, <13.5, -7, -9.5>, <13.5, -7, -9> }
		triangle { <11.5, -11, -9.5>, <13.5, -11, -9.5>, <13.5, -7, -9.5> }
		triangle { <13.5, -7, -9.5>, <11.5, -7, -9.5>, <11.5, -11, -9.5> }
		cylinder { <12.5, -9, -7>, <12.5, -9, -9.1>, 1 }
		pigment { color Gray60 }
		finish { Shiny }
	}

	// windows
	object { WINDOW1 scale 0.95 rotate x*19 translate <-19, -10, 5.6> }
	object { WINDOW1 scale 0.95 rotate x*19 translate <-14, -10, 5.6> }
	object { WINDOW1 scale 0.95 rotate x*19 translate <-9, -10, 5.6> }
	object { WINDOW1 scale 0.95 rotate x*19 translate <9, -10, 5.6> }
	object { WINDOW1 scale 0.95 rotate x*19 translate <14, -10, 5.6> }
	object { WINDOW1            rotate x*19 translate <19, -10, 5.6> }

	// latches
	object { WINDOW1 scale 0.5 rotate z*90 rotate x*15 translate <-2.6, -9, 5.9> }
	sphere { <0, -9, 5.8>, 0.7 pigment { color Gray60 } finish { Shiny } } //space_gray
	object { WINDOW1 scale 0.5 rotate z*90 rotate x*15 translate <2.6, -9, 5.9> }

	// stickers (now a black/white checker pattern
	object { LGOPLAT scale 1.2 translate <-23, -13.601, 2> }
	object { LGOPLAT scale 1.2 translate <23, -13.601, 2> }

}

//------1---------2---------3---------4---------5---------6---------7---------8

	