// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// eagle's engines
// thrust me, baby
#include "ring1.inc"
#include "rocket.inc"
#include "tank.inc"
#include "tube2.inc"

#declare ENGINE =
union {

	union {
		// rear frame
		cylinder { <-12.3, -10, 2.05>, <-12.3, 10, 2.05>, 0.3 }
		cylinder { <-12.3, -10, -2.05>, <-12.3, 10, -2.05>, 0.3 }
		cylinder { <-12.3, -2.05, 5.4>, <-12.3, -2.05, -5>, 0.3 }
		cylinder { <-12.3, 2.05, 5.4>, <-12.3, 2.05, -5>, 0.3 }
		cylinder { <-12.3, -12.05, 0>, <-12.3, 0, 7.45>, 0.3 }
		cylinder { <-12.3, 0, 7.45>, <-12.3, 12.05, 0>, 0.3 }
		cylinder { <-12.3, 12.05, 0>, <-12.3, 0, -7.05>, 0.3 }
		cylinder { <-12.3, 0, -7.05>, <-12.3, -12.05, 0>, 0.3 }
		// support struts
		cylinder { <0.3, -6, 5.4>, <-12.3, -2.05, 2.05>, 0.3 }
		cylinder { <0.3, -6, -5>, <-12.3, -2.05, -2.05>, 0.3 }
		cylinder { <0.3, 6, 5.4>, <-12.3, 2.05, 2.05>, 0.3 }
		cylinder { <0.3, 6, -5>, <-12.3, 2.05, -2.05>, 0.3 }
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }
	}

	// rockets
	object { ROCKET1 translate y*-10 }
	object { ROCKET1 translate z*5.4 }
	object { ROCKET1 translate y*10 }
	object { ROCKET1 translate z*-5 }

	union {
		// tanks
		// lower
		object { TANK translate <-6, -6, -5> }
		object { TUBE2 rotate x*34 translate <-6, -6, -5> }
		object { TANK translate <-6, 6, -5> }
		object { TUBE2 rotate x*-34 translate <-6, 6, -5> }
		// upper
		object { TANK rotate x*180 translate <-6, 6, 5.4> }
		object { TUBE2 rotate x*214 translate <-6, 6, 5.4> }
		object { TANK rotate x*180 translate <-6, -6, 5.4> }
		object { TUBE2 rotate x*146 translate <-6, -6, 5.4> }
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }
	}

}

//------1---------2---------3---------4---------5---------6---------7---------8

