// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// frame for eagle1
// cone central
#include "nozzle.inc"
#include "rivet.inc"
#include "latch.inc"

#declare FRAME =
union {

	union {
	// long bars
	cylinder { <-48.0, -6, 6>, <48.0, -6, 6>, 0.3 }
	cylinder { <-41.0, -3.25, 9>, <41.0, -3.25, 9>, 0.3 }
	// vertical bars
	cylinder { <1.5, -3.25, 9>, <1.5, -6, 6>, 0.3 }
	cylinder { <11.5, -3.25, 9>, <11.5, -6, 6>, 0.3 }
	cylinder { <21.5, -3.25, 9>, <21.5, -6, 6>, 0.3 }
	cylinder { <31.5, -3.25, 9>, <31.5, -6, 6>, 0.3 }
	cylinder { <41.0, -3.25, 9>, <41.0, -6, 6>, 0.3 }
	cylinder { <-1.5, -3.25, 9>, <-1.5, -6, 6>, 0.3 }
	cylinder { <-11.5, -3.25, 9>, <-11.5, -6, 6>, 0.3 }
	cylinder { <-21.5, -3.25, 9>, <-21.5, -6, 6>, 0.3 }
	cylinder { <-31.5, -3.25, 9>, <-31.5, -6, 6>, 0.3 }
	cylinder { <-41.0, -3.25, 9>, <-41.0, -6, 6>, 0.3 }
	// slanted bars
	cylinder { <1.5, -6, 6>, <11.5, -3.25, 9>, 0.3 }
	cylinder { <11.5, -3.25, 9>, <21.5, -6, 6>, 0.3 }
	cylinder { <21.5, -6, 6>, <31.5, -3.25, 9>, 0.3 }
	cylinder { <31.5, -3.25, 9>, <36.0, -6, 6>, 0.3 }
	cylinder { <36.0, -6, 6>, <41.0, -3.25, 9>, 0.3 }
	cylinder { <41.0, -3.25, 9>, <47.5, -6, 6>, 0.3 }
	cylinder { <-1.5, -6, 6>, <-11.5, -3.25, 9>, 0.3 }
	cylinder { <-11.5, -3.25, 9>, <-21.5, -6, 6>, 0.3 }
	cylinder { <-21.5, -6, 6>, <-31.5, -3.25, 9>, 0.3 }
	cylinder { <-31.5, -3.25, 9>, <-36.0, -6, 6>, 0.3 }
	cylinder { <-36.0, -6, 6>, <-41.0, -3.25, 9>, 0.3 }
	cylinder { <-41.0, -3.25, 9>, <-47.5, -6, 6>, 0.3 }
	// lateral bars
	cylinder { <1.5, -3.25, 9>, <1.5, 0, 9>, 0.3 }
	cylinder { <11.5, -3.25, 9>, <11.5, 0, 9>, 0.3 }
	cylinder { <21.5, -3.25, 9>, <21.5, 0, 9>, 0.3 }
	cylinder { <31.5, -3.25, 9>, <31.5, 0, 9>, 0.3 }
	cylinder { <41.0, -3.25, 9>, <41.0, 0, 9>, 0.3 }
	cylinder { <1.5, -6, 6>, <1.5, 0, 6>, 0.3 }
	cylinder { <11.5, -6, 6>, <11.5, 0, 6>, 0.3 }
	cylinder { <21.5, -6, 6>, <21.5, 0, 6>, 0.3 }
	cylinder { <31.5, -6, 6>, <31.5, 0, 6>, 0.3 }
	cylinder { <41.0, -6, 6>, <41.0, 0, 6>, 0.3 }
	cylinder { <47.5, -6, 6>, <47.5, 0, 6>, 0.3 }
	cylinder { <-1.5, -3.25, 9>, <-1.5, 0, 9>, 0.3 }
	cylinder { <-11.5, -3.25, 9>, <-11.5, 0, 9>, 0.3 }
	cylinder { <-21.5, -3.25, 9>, <-21.5, 0, 9>, 0.3 }
	cylinder { <-31.5, -3.25, 9>, <-31.5, 0, 9>, 0.3 }
	cylinder { <-41.0, -3.25, 9>, <-41.0, 0, 9>, 0.3 }
	cylinder { <-1.5, -6, 6>, <-1.5, 0, 6>, 0.3 }
	cylinder { <-11.5, -6, 6>, <-11.5, 0, 6>, 0.3 }
	cylinder { <-21.5, -6, 6>, <-21.5, 0, 6>, 0.3 }
	cylinder { <-31.5, -6, 6>, <-31.5, 0, 6>, 0.3 }
	cylinder { <-41.0, -6, 6>, <-41.0, 0, 6>, 0.3 }
	cylinder { <-47.5, -6, 6>, <-47.5, 0, 6>, 0.3 }
	// long 	cylinder caps
	cylinder { <0, -3.25, 9>, <2.5, -3.25, 9>, 0.37 }
	cylinder { <9, -3.25, 9>, <14.0, -3.25, 9>, 0.37 }
	cylinder { <20.25, -3.25, 9>, <22.75, -3.25, 9>, 0.37 }
	cylinder { <29.00, -3.25, 9>, <34.00, -3.25, 9>, 0.37 }
	cylinder { <38.50, -3.25, 9>, <41.00, -3.25, 9>, 0.37 }
	cylinder { <0, -6, 6>, <3.5, -6, 6>, 0.37 }
	cylinder { <10.25, -6, 6>, <12.75, -6, 6>, 0.37 }
	cylinder { <19.00, -6, 6>, <24.00, -6, 6>, 0.37 }
	cylinder { <30.25, -6, 6>, <32.75, -6, 6>, 0.37 }
	cylinder { <34.25, -6, 6>, <37.25, -6, 6>, 0.37 }
	cylinder { <39.75, -6, 6>, <42.25, -6, 6>, 0.37 }
	cylinder { <45.50, -6, 6>, <48.00, -6, 6>, 0.37 }
	cylinder { <0, -3.25, 9>, <-2.5, -3.25, 9>, 0.37 }
	cylinder { <-9, -3.25, 9>, <-14.0, -3.25, 9>, 0.37 }
	cylinder { <-20.25, -3.25, 9>, <-22.75, -3.25, 9>, 0.37 }
	cylinder { <-29.00, -3.25, 9>, <-34.00, -3.25, 9>, 0.37 }
	cylinder { <-38.50, -3.25, 9>, <-41.00, -3.25, 9>, 0.37 }
	cylinder { <0, -6, 6>, <-3.5, -6, 6>, 0.37 }
	cylinder { <-10.25, -6, 6>, <-12.75, -6, 6>, 0.37 }
	cylinder { <-19.00, -6, 6>, <-24.00, -6, 6>, 0.37 }
	cylinder { <-30.25, -6, 6>, <-32.75, -6, 6>, 0.37 }
	cylinder { <-34.25, -6, 6>, <-37.25, -6, 6>, 0.37 }
	cylinder { <-39.75, -6, 6>, <-42.25, -6, 6>, 0.37 }
	cylinder { <-45.50, -6, 6>, <-48.00, -6, 6>, 0.37 }
	// interior framework
	cylinder { <26, -6, 5.4>, <46.7, -6, 5.4>, 0.3 }
	cylinder { <26, -10, 2.7>, <46.7, -10, 2.7>, 0.3 }
	cylinder { <26, -10, -2.7>, <46.7, -10, -2.7>, 0.3 }
	cylinder { <26, -6, -5>, <46.7, -6, -5>, 0.3 }
	cylinder { <26, -10, 0>, <46.7, -10, 0>, 0.3 }
	cylinder { <26, -6, 5.4>, <26, -10, 2.7>, 0.3 }
	cylinder { <26, -10, 2.7>, <26, -10, -2.7>, 0.3 }
	cylinder { <26, -10, -2.7>, <26, -6, -5>, 0.3 }
	cylinder { <35.7, -6, 5.4>, <35.7, -10, 2.7>, 0.3 }
	cylinder { <36.3, -6, 5.4>, <36.3, -10, 2.7>, 0.3 }
	cylinder { <35.7, -10, 2.7>, <35.7, -10, -2.7>, 0.3 }
	cylinder { <36.3, -10, 2.7>, <36.3, -10, -2.7>, 0.3 }
	cylinder { <35.7, -10, -2.7>, <35.7, -6, -5>, 0.3 }
	cylinder { <36.3, -10, -2.7>, <36.3, -6, -5>, 0.3 }
	cylinder { <46.1, -6, 5.4>, <46.1, -10, 2.7>, 0.3 }
	cylinder { <46.7, -6, 5.4>, <46.7, -10, 2.7>, 0.3 }
	cylinder { <46.1, -10, 2.7>, <46.1, -10, -2.7>, 0.3 }
	cylinder { <46.7, -10, 2.7>, <46.7, -10, -2.7>, 0.3 }
	cylinder { <46.1, -10, -2.7>, <46.1, -6, -5>, 0.3 }
	cylinder { <46.7, -10, -2.7>, <46.7, -6, -5>, 0.3 }
	cylinder { <-26, -6, 5.4>, <-46.7, -6, 5.4>, 0.3 }
	cylinder { <-26, -10, 2.7>, <-46.7, -10, 2.7>, 0.3 }
	cylinder { <-26, -10, -2.7>, <-46.7, -10, -2.7>, 0.3 }
	cylinder { <-26, -6, -5>, <-46.7, -6, -5>, 0.3 }
	cylinder { <-26, -10, 0>, <-46.7, -10, 0>, 0.3 }
	cylinder { <-26, -6, 5.4>, <-26, -10, 2.7>, 0.3 }
	cylinder { <-26, -10, 2.7>, <-26, -10, -2.7>, 0.3 }
	cylinder { <-26, -10, -2.7>, <-26, -6, -5>, 0.3 }
	cylinder { <-35.7, -6, 5.4>, <-35.7, -10, 2.7>, 0.3 }
	cylinder { <-36.3, -6, 5.4>, <-36.3, -10, 2.7>, 0.3 }
	cylinder { <-35.7, -10, 2.7>, <-35.7, -10, -2.7>, 0.3 }
	cylinder { <-36.3, -10, 2.7>, <-36.3, -10, -2.7>, 0.3 }
	cylinder { <-35.7, -10, -2.7>, <-35.7, -6, -5>, 0.3 }
	cylinder { <-36.3, -10, -2.7>, <-36.3, -6, -5>, 0.3 }
	cylinder { <-46.1, -6, 5.4>, <-46.1, -10, 2.7>, 0.3 }
	cylinder { <-46.7, -6, 5.4>, <-46.7, -10, 2.7>, 0.3 }
	cylinder { <-46.1, -10, 2.7>, <-46.1, -10, -2.7>, 0.3 }
	cylinder { <-46.7, -10, 2.7>, <-46.7, -10, -2.7>, 0.3 }
	cylinder { <-46.1, -10, -2.7>, <-46.1, -6, -5>, 0.3 }
	cylinder { <-46.7, -10, -2.7>, <-46.7, -6, -5>, 0.3 }
	// interior cross cones
	cylinder { <26, -6, 5.4>, <35.7, -10, 2.7>, 0.3 }
	cylinder { <26, -10, 2.7>, <35.7, -6, 5.4>, 0.3 }
	cylinder { <36.3, -6, 5.4>, <46.1, -10, 2.7>, 0.3 }
	cylinder { <36.3, -10, 2.7>, <46.1, -6, 5.4>, 0.3 }
	cylinder { <26, -10, 0>, <46.1, -10, 0>, 0.3 }
	cylinder { <31, -10, 2.7>, <31, -10, -2.7>, 0.3 }
	cylinder { <41, -10, 2.7>, <41, -10, -2.7>, 0.3 }
	cylinder { <26, -10, -2.7>, <35.7, -6, -5>, 0.3 }
	cylinder { <26, -6, -5>, <35.7, -10, -2.7>, 0.3 }
	cylinder { <36.3, -10, -2.7>, <46.1, -6, -5>, 0.3 }
	cylinder { <36.3, -6, -5>, <46.1, -10, -2.7>, 0.3 }
	cylinder { <26, -6, 5.4>, <26, 0, 5.4>, 0.3 }
	cylinder { <26, -6, -5>, <26, 0, -5>, 0.3 }
	cylinder { <26, -6, 5.4>, <26, -6, -5>, 0.3 }
	cylinder { <35.7, -6, 5.4>, <35.7, 0, 5.4>, 0.3 }
	cylinder { <36.3, -6, 5.4>, <36.3, 0, 5.4>, 0.3 }
	cylinder { <35.7, -6, -5>, <35.7, 0, -5>, 0.3 }
	cylinder { <36.3, -6, -5>, <36.3, 0, -5>, 0.3 }
	cylinder { <35.7, -6, 5.4>, <35.7, -6, -5>, 0.3 }
	cylinder { <36.3, -6, 5.4>, <36.3, -6, -5>, 0.3 }
	cylinder { <46.1, -6, 5.4>, <46.1, 0, 5.4>, 0.3 }
	cylinder { <46.7, -6, 5.4>, <46.7, 0, 5.4>, 0.3 }
	cylinder { <46.1, -6, -5>, <46.1, 0, -5>, 0.3 }
	cylinder { <46.7, -6, -5>, <46.7, 0, -5>, 0.3 }
	cylinder { <46.1, -6, 5.4>, <46.1, -6, -5>, 0.3 }
	cylinder { <46.7, -6, 5.4>, <46.7, -6, -5>, 0.3 }
	cylinder { <-26, -6, 5.4>, <-35.7, -10, 2.7>, 0.3 }
	cylinder { <-26, -10, 2.7>, <-35.7, -6, 5.4>, 0.3 }
	cylinder { <-36.3, -6, 5.4>, <-46.1, -10, 2.7>, 0.3 }
	cylinder { <-36.3, -10, 2.7>, <-46.1, -6, 5.4>, 0.3 }
	cylinder { <-26, -10, 0>, <-46.1, -10, 0>, 0.3 }
	cylinder { <-31, -10, 2.7>, <-31, -10, -2.7>, 0.3 }
	cylinder { <-41, -10, 2.7>, <-41, -10, -2.7>, 0.3 }
	cylinder { <-26, -10, -2.7>, <-35.7, -6, -5>, 0.3 }
	cylinder { <-26, -6, -5>, <-35.7, -10, -2.7>, 0.3 }
	cylinder { <-36.3, -10, -2.7>, <-46.1, -6, -5>, 0.3 }
	cylinder { <-36.3, -6, -5>, <-46.1, -10, -2.7>, 0.3 }
	cylinder { <-26, -6, 5.4>, <-26, 0, 5.4>, 0.3 }
	cylinder { <-26, -6, -5>, <-26, 0, -5>, 0.3 }
	cylinder { <-26, -6, 5.4>, <-26, -6, -5>, 0.3 }
	cylinder { <-35.7, -6, 5.4>, <-35.7, 0, 5.4>, 0.3 }
	cylinder { <-36.3, -6, 5.4>, <-36.3, 0, 5.4>, 0.3 }
	cylinder { <-35.7, -6, -5>, <-35.7, 0, -5>, 0.3 }
	cylinder { <-36.3, -6, -5>, <-36.3, 0, -5>, 0.3 }
	cylinder { <-35.7, -6, 5.4>, <-35.7, -6, -5>, 0.3 }
	cylinder { <-36.3, -6, 5.4>, <-36.3, -6, -5>, 0.3 }
	cylinder { <-46.1, -6, 5.4>, <-46.1, 0, 5.4>, 0.3 }
	cylinder { <-46.7, -6, 5.4>, <-46.7, 0, 5.4>, 0.3 }
	cylinder { <-46.1, -6, -5>, <-46.1, 0, -5>, 0.3 }
	cylinder { <-46.7, -6, -5>, <-46.7, 0, -5>, 0.3 }
	cylinder { <-46.1, -6, 5.4>, <-46.1, -6, -5>, 0.3 }
	cylinder { <-46.7, -6, 5.4>, <-46.7, -6, -5>, 0.3 }
	// texture space_gray
	pigment { color Gray60 }
	finish { Shiny }
	}

	// rockets
	object { NOZZLE translate <40.5, -3.5, -5> }
	object { NOZZLE translate <-40.5, -3.5, -5> }

	union {
		// rivets
		object { RIVET translate <28, -6, 6> }
		object { RIVET translate <33.1, -6, 6> }
		object { RIVET translate <38.5, -6, 6> }
		object { RIVET translate <43.6, -6, 6> }
		object { RIVET translate <-28, -6, 6> }
		object { RIVET translate <-33.1, -6, 6> }
		object { RIVET translate <-38.5, -6, 6> }
		object { RIVET translate <-43.6, -6, 6> }
		// explosive latches
		object { LATCH translate <47, -10, 0> }
		object { LATCH translate <47, 10, 0> }
		object { LATCH rotate x*90 translate <47, 0, 5.7> }
		object { LATCH rotate x*90 translate <47, 0, -5.7> }
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }
	}

}

//------1---------2---------3---------4---------5---------6---------7---------8

