// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

#declare LATCH =
union {
	// explosive latch
	cylinder { <0.3, 0, 0.95>, <0.3, 0, -0.95>, 0.3 }
	cylinder { <1.8, 0, 0.95>, <1.8, 0, -0.95>, 0.25 }
	cylinder { <0.3, 0, 0.25>, <0.3, 0, -0.25>, 0.4 }
	cylinder { <-0.3, 0, 0.25>, <-0.3, 0, -0.25>, 0.4 }
	disc { <0.3, 0, 0.95>, z, 0.3 }
	disc { <0.3, 0, -0.95>, -z, 0.3 }
	disc { <1.8, 0, 0.95>, z, 0.25 }
	disc { <1.8, 0, -0.95>, -z, 0.25 }
	disc { <0.3, 0, 0.25>, z, 0.4 }
	disc { <0.3, 0, -0.25>, -z, 0.4 }
	disc { <-0.3, 0, 0.25>, z, 0.4 }
	disc { <-0.3, 0, -0.25>, z, 0.4 }
	// top latch
	triangle { <0.3, -0.3, 0.95>, <1.8, -0.25, 0.95>, <1.8, -0.25, 0.75> }
	triangle { <1.8, -0.25, 0.75>, <0.3, -0.3, 0.75>, <0.3, -0.3, 0.95> }
	triangle { <0.3, 0.3, 0.95>, <1.8, 0.25, 0.95>, <1.8, -0.25, 0.95> }
	triangle { <1.8, -0.25, 0.95>, <0.3, -0.3, 0.95>, <0.3, 0.3, 0.95> }
	triangle { <0.3, -0.3, 0.75>, <1.8, -0.25, 0.75>, <1.8, 0.25, 0.75> }
	triangle { <1.8, 0.25, 0.75>, <0.3, 0.3, 0.75>, <0.3, -0.3, 0.75> }
	triangle { <1.8, 0.25, 0.95>, <0.3, 0.3, 0.95>, <0.3, 0.3, 0.75> }
	triangle { <0.3, 0.3, 0.75>, <1.8, 0.25, 0.75>, <1.8, 0.25, 0.95> }
	// bottom latch
	triangle { <0.3, -0.3, -0.75>, <1.8, -0.25, -0.75>, <1.8, -0.25, -0.95> }
	triangle { <1.8, -0.25, -0.95>, <0.3, -0.3, -0.95>, <0.3, -0.3, -0.75> }
	triangle { <0.3, 0.3, -0.75>, <1.8, 0.25, -0.75>, <1.8, -0.25, -0.75> }
	triangle { <1.8, -0.25, -0.75>, <0.3, -0.3, -0.75>, <0.3, 0.3, -0.75> }
	triangle { <0.3, -0.3, -0.95>, <1.8, -0.25, -0.95>, <1.8, 0.25, -0.95> }
	triangle { <1.8, 0.25, -0.95>, <0.3, 0.3, -0.95>, <0.3, -0.3, -0.95> }
	triangle { <1.8, 0.25, -0.75>, <0.3, 0.3, -0.75>, <0.3, 0.3, -0.95> }
	triangle { <0.3, 0.3, -0.95>, <1.8, 0.25, -0.95>, <1.8, 0.25, -0.75> }
	// post latch
	triangle { <-0.3, -0.4, 0.25>, <0.3, -0.4, 0.25>, <0.3, -0.4, -0.25> }
	triangle { <0.3, -0.4, -0.25>, <-0.3, -0.4, -0.25>, <-0.3, -0.4, 0.25> }
	triangle { <-0.3, 0.4, 0.25>, <0.3, 0.4, 0.25>, <0.3, -0.4, 0.25> }
	triangle { <0.3, -0.4, 0.25>, <-0.3, -0.4, 0.25>, <-0.3, 0.4, 0.25> }
	triangle { <-0.3, -0.4, -0.25>, <0.3, -0.4, -0.25>, <0.3, 0.4, -0.25> }
	triangle { <0.3, 0.4, -0.25>, <-0.3, 0.4, -0.25>, <-0.3, -0.4, -0.25> }
	triangle { <0.3, 0.4, 0.25>, <-0.3, 0.4, 0.25>, <-0.3, 0.4, -0.25> }
	triangle { <-0.3, 0.4, -0.25>, <0.3, 0.4, -0.25>, <0.3, 0.4, 0.25> }
	// nubs
	sphere { <0.3, 0, 0.95>, 0.2 }
	sphere { <0.3, 0, -0.95>, 0.2 }
	// texture space_gray
	pigment { color Gray60 }
	finish { Shiny }
}

//------1---------2---------3---------4---------5---------6---------7---------8

